<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>Uses of Class back.event.AbstractEvent</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="use: module: SatellitesBalises, package: back.event, class: AbstractEvent">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../module-summary.html">Module</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../AbstractEvent.html" title="class in back.event">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class back.event.AbstractEvent" class="title">Uses of Class<br>back.event.AbstractEvent</h1>
</div>
<div class="caption"><span>Packages that use <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#back">back</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#back.event">back.event</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><a href="#back.mobileElement">back.mobileElement</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="back">
<h2>Uses of <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a> in <a href="../../package-summary.html">back</a></h2>
<div class="caption"><span>Methods in <a href="../../package-summary.html">back</a> with parameters of type <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">EventHandler.</span><code><a href="../../EventHandler.html#send(back.event.AbstractEvent)" class="member-name-link">send</a><wbr>(<a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</code></div>
<div class="col-last even-row-color">
<div class="block">Envoi un évènement à tous les éléments enregistrés au type de l'évènement.</div>
</div>
</div>
<div class="caption"><span>Method parameters in <a href="../../package-summary.html">back</a> with type arguments of type <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">EventHandler.</span><code><a href="../../EventHandler.html#registerListener(java.lang.Class,java.lang.Object)" class="member-name-link">registerListener</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;? extends <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&gt;&nbsp;whichEventType,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;listener)</code></div>
<div class="col-last even-row-color">
<div class="block">Enregistre un élément à un évènement en particulier.</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">EventHandler.</span><code><a href="../../EventHandler.html#unregisterListener(java.lang.Class,java.lang.Object)" class="member-name-link">unregisterListener</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;? extends <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&gt;&nbsp;whichEventType,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;listener)</code></div>
<div class="col-last odd-row-color">
<div class="block">Désenregistre un élément d'un évènement en particulier.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.event">
<h2>Uses of <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a> in <a href="../package-summary.html">back.event</a></h2>
<div class="caption"><span>Subclasses of <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a> in <a href="../package-summary.html">back.event</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../AvailableForSynchronisation.html" class="type-name-link" title="class in back.event">AvailableForSynchronisation</a></code></div>
<div class="col-last even-row-color">
<div class="block">Évènement "Disponible pour synchronisation" d'un satellite lorsqu'il n'est
 pas/plus en synchronsiation avec des balises.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../SynchronisationEnded.html" class="type-name-link" title="class in back.event">SynchronisationEnded</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Évènement "Synchronisation terminée" d'un satellite pour la balise auquel il
 était en train de se synchroniser.</div>
</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../SynchronisationInProgress.html" class="type-name-link" title="class in back.event">SynchronisationInProgress</a></code></div>
<div class="col-last even-row-color">
<div class="block">Évènement "Synchronisation en cours" d'une balise lorsqu'elle se synchronise
 avec un satellite disponible.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.mobileElement">
<h2>Uses of <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a> in <a href="../../mobileElement/package-summary.html">back.mobileElement</a></h2>
<div class="caption"><span>Methods in <a href="../../mobileElement/package-summary.html">back.mobileElement</a> with parameters of type <a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Beacon.</span><code><a href="../../mobileElement/Beacon.html#receive(back.event.AbstractEvent)" class="member-name-link">receive</a><wbr>(<a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>abstract void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">MobileElement.</span><code><a href="../../mobileElement/MobileElement.html#receive(back.event.AbstractEvent)" class="member-name-link">receive</a><wbr>(<a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</code></div>
<div class="col-last odd-row-color">
<div class="block">Méthode abstracte définissant le comportement à adopter lors d'une réception
 d'évènement.</div>
</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Satellite.</span><code><a href="../../mobileElement/Satellite.html#receive(back.event.AbstractEvent)" class="member-name-link">receive</a><wbr>(<a href="../AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
